package utilities

import (
	"context"

	"github.com/hashicorp/terraform-plugin-log/tflog"
	"repository.basistech.ru/BASIS/decort-golang-sdk/pkg/cloudapi/compute"
	"repository.basistech.ru/BASIS/terraform-provider-dynamix/internal/client"
	"repository.basistech.ru/BASIS/terraform-provider-dynamix/internal/service/cloudapi/kvmvm/models"
)

func ComputePFWListCheckPresence(ctx context.Context, state *models.ListPFWsModel, c *client.Client) (*compute.ListPFWs, error) {
	tflog.Info(ctx, "Get compute pfw list info")

	req := compute.PFWListRequest{
		ComputeID: uint64(state.ComputeID.ValueInt64()),
	}

	tflog.Info(ctx, "Check req", map[string]any{"req": req})

	pfwList, err := c.CloudAPI().Compute().PFWList(ctx, req)
	if err != nil {
		return nil, err
	}

	tflog.Info(ctx, "Getting compute pfw list info, successfully")
	return pfwList, nil
}
